pw_factory_methods Struct Reference
Core API » Factory

Factory methods. More...

## Data Fields

uint32_t | version
int(* | add_listener )(void *object, struct spa_hook *listener, const struct pw_factory_events *events, void *data)

## Detailed Description

Factory methods.

## Field Documentation

## version

uint32_t pw_factory_methods::version

## add_listener

int(* pw_factory_methods::add_listener) (void *object, struct spa_hook *listener, const struct pw_factory_events *events, void *data)

The documentation for this struct was generated from the following file:

- pipewire/factory.h